import type { JsConfig, Survey } from "../../types/js";
import { VNode } from "preact";
import { IErrorHandler } from "./lib/errors";
interface AppProps {
    config: JsConfig;
    survey: Survey;
    closeSurvey: () => Promise<void>;
    errorHandler: IErrorHandler;
}
export default function App({ config, survey, closeSurvey, errorHandler }: AppProps): VNode;
export {};
