import type { DisplayCreateRequest, JsConfig, Response } from "../../../types/js";
import { NetworkError, Result } from "./errors";
export declare const createDisplay: (displayCreateRequest: DisplayCreateRequest, config: JsConfig) => Promise<Result<Response, NetworkError>>;
export declare const markDisplayResponded: (displayId: string, config: JsConfig) => Promise<Result<void, NetworkError>>;
