import type { MatchType } from "../../../types/js";
import { InvalidMatchTypeError, NetworkError, Result } from "./errors";
export declare const checkPageUrl: () => Promise<Result<void, InvalidMatchTypeError | NetworkError>>;
export declare const addPageUrlEventListeners: () => void;
export declare function checkUrlMatch(url: string, pageUrlValue: string, pageUrlRule: MatchType): Result<boolean, InvalidMatchTypeError>;
export declare const checkClickMatch: (event: MouseEvent) => void;
export declare const addClickEventListener: () => void;
