import type { Session, Settings } from "../../../types/js";
import { MissingPersonError, NetworkError, Result } from "./errors";
export declare const createSession: () => Promise<Result<{
    session: Session;
    settings: Settings;
}, NetworkError | MissingPersonError>>;
export declare const extendSession: (session: Session) => Session;
export declare const isExpired: (session: Session) => boolean;
export declare const extendOrCreateSession: () => Promise<Result<void, NetworkError | MissingPersonError>>;
