import type { InitConfig } from "../../types/js";
export type { EnvironmentId, KeyValueData, PersonId, ResponseId, SurveyId } from "@formbricks/api";
declare const formbricks: {
    init: (initConfig: InitConfig) => Promise<void>;
    setUserId: (userId: string) => Promise<void>;
    setEmail: (email: string) => Promise<void>;
    setAttribute: (key: string, value: string) => Promise<void>;
    track: (eventName: string, properties?: any) => Promise<void>;
    logout: () => Promise<void>;
    refresh: () => Promise<void>;
    registerRouteChange: () => Promise<void>;
    getApi: () => import("@formbricks/api").FormbricksAPI;
    getPerson: () => import("../../types/js").Person;
};
export { formbricks as default };
