type LogLevel = "debug" | "error";
interface LoggerConfig {
    logLevel?: LogLevel;
}
export declare class Logger {
    private static instance;
    private logLevel;
    private constructor();
    static getInstance(): Logger;
    configure(config: LoggerConfig): void;
    private logger;
    debug(message: string): void;
    error(message: string): void;
}
export {};
