import type { JsConfig, Response, ResponseCreateRequest, ResponseUpdateRequest } from "../../../types/js";
import { NetworkError, Result } from "./errors";
export declare const createResponse: (responseRequest: ResponseCreateRequest, config: any) => Promise<Result<Response, NetworkError>>;
export declare const updateResponse: (responseRequest: ResponseUpdateRequest, responseId: string, config: JsConfig) => Promise<Result<Response, NetworkError>>;
