import z from "zod";
export declare const ZPerson: z.ZodObject<{
    id: z.ZodString;
    attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    attributes?: Record<string, string | number>;
}, {
    id?: string;
    attributes?: Record<string, string | number>;
}>;
export type TPerson = z.infer<typeof ZPerson>;
