import { z } from "zod";
export declare const ZUserNotificationSettings: z.ZodRecord<z.ZodString, z.ZodObject<{
    responseFinished: z.ZodBoolean;
    weeklySummary: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    responseFinished?: boolean;
    weeklySummary?: boolean;
}, {
    responseFinished?: boolean;
    weeklySummary?: boolean;
}>>;
export type TUserNotificationSettings = z.infer<typeof ZUserNotificationSettings>;
